Page 1 of 2 12 LastLast
Results 1 to 10 of 13

Thread: Debian + Steam + r600

  1. #1
    Join Date
    Oct 2009
    Posts
    131

    Default Debian + Steam + r600

    Hello,

    I have been playing with Steam + r600 on my Debian machine with no problems with Left for Dead 2, for example. But I have playing other non Steam games for a while and now I have bought some games throught Steam like Portal 2 and I have encountered a problem. First my specs, I have:
    - AMD Phenom II x6 1055t
    - AMD 5750 Radeon with the r600 oss driver
    - Debian SID: right now 3.14 kernel + xserver-xorg-video-radeon 7.4 + libgl1-mesa-dri 10.2 (both amd64 + i386) + libgl1-mesa-glx 10.2 (both amd64 + i386), libsdl1.2debian (both amd64 + i386), libsdl2-2.0-0 (both amd64 + i386)

    When I launch Steam it says:

    Code:
    Error: OpenGL GLX context is not using direct rendering, which may cause performance problems.
    
    For more information visit https://support.steampowered.com/kb_article.php?ref=9938-EYZB-7457.
    Running Steam on debian  64-bit
    STEAM_RUNTIME has been set by the user to: /home/MYUSER/.steam/ubuntu12_32/steam-runtime
    If I go to Help->System information it says:

    Code:
    Tarjeta de vídeo:
        Controlador:  X.Org Gallium 0.4 on AMD JUNIPER
    
        Versión de controlador: 1.4 (3.0 Mesa 10.2.1)
        Versión de OpenGL: 1.4
    It doesn't detect 3D acceleration it seems, but 3D acceleration works. If I launch a 32 bit game like Papo & Yo or Quake wars demo they work flawless. Also if I execute glxinfo in 32 or 64 binaries it says:

    name of display: :0
    display: :0 screen: 0
    direct rendering: Yes
    server glx vendor string: SGI
    server glx version string: 1.4
    [...]
    OpenGL vendor string: X.Org
    OpenGL renderer string: Gallium 0.4 on AMD JUNIPER
    OpenGL core profile version string: 3.3 (Core Profile) Mesa 10.2.1
    OpenGL core profile shading language version string: 3.30
    OpenGL core profile context flags: (none)
    OpenGL core profile profile mask: core profile

    Also 32 bit version of glxgears works.

    When I launch Left for Dead 2 with the export LIBGL_DEBUG=verbose, it says:
    Code:
    ~/.steam/steam/SteamApps/common/Left 4 Dead 2$ ./hl2.sh 
    libGL: screen 0 does not appear to be DRI3 capable
    libGL: pci id for fd 6: 1002:68be, driver r600
    libGL: OpenDriver: trying /usr/lib/i386-linux-gnu/dri/tls/r600_dri.so
    libGL: OpenDriver: trying /usr/lib/i386-linux-gnu/dri/r600_dri.so
    libGL: driver does not expose __driDriverGetExtensions_r600(): /usr/lib/i386-linux-gnu/dri/r600_dri.so: undefined symbol: __driDriverGetExtensions_r600
    libGL: Can't open configuration file /home/MYUSER/.drirc: No such file or directory.
    libGL: Can't open configuration file /home/MYUSER/.drirc: No such file or directory.
    SDL video target is 'x11'
    SDL video target is 'x11'
    SDL failed to create GL compatibility profile (whichProfile=0!
    This system supports the OpenGL extension GL_EXT_framebuffer_object.
    This system supports the OpenGL extension GL_EXT_framebuffer_blit.
    This system supports the OpenGL extension GL_EXT_framebuffer_multisample.
    This system DOES NOT support the OpenGL extension GL_APPLE_fence.
    This system DOES NOT support the OpenGL extension GL_NV_fence.
    This system supports the OpenGL extension GL_ARB_sync.
    This system supports the OpenGL extension GL_EXT_draw_buffers2.
    This system DOES NOT support the OpenGL extension GL_EXT_bindable_uniform.
    This system DOES NOT support the OpenGL extension GL_APPLE_flush_buffer_range.
    This system supports the OpenGL extension GL_ARB_map_buffer_range.
    This system supports the OpenGL extension GL_ARB_vertex_buffer_object.
    This system supports the OpenGL extension GL_ARB_occlusion_query.
    This system DOES NOT support the OpenGL extension GL_APPLE_texture_range.
    This system DOES NOT support the OpenGL extension GL_APPLE_client_storage.
    This system DOES NOT support the OpenGL extension GL_ARB_uniform_buffer.
    This system supports the OpenGL extension GL_ARB_vertex_array_bgra.
    This system supports the OpenGL extension GL_EXT_vertex_array_bgra.
    This system supports the OpenGL extension GL_ARB_framebuffer_object.
    This system DOES NOT support the OpenGL extension GL_GREMEDY_string_marker.
    This system supports the OpenGL extension GL_ARB_debug_output.
    This system DOES NOT support the OpenGL extension GL_EXT_direct_state_access.
    This system DOES NOT support the OpenGL extension GL_NV_bindless_texture.
    This system DOES NOT support the OpenGL extension GL_AMD_pinned_memory.
    This system supports the OpenGL extension GL_EXT_framebuffer_multisample_blit_scaled.
    This system supports the OpenGL extension GL_EXT_texture_sRGB_decode.
    This system DOES NOT support the OpenGL extension GL_NVX_gpu_memory_info.
    This system DOES NOT support the OpenGL extension GL_ATI_meminfo.
    This system supports the OpenGL extension GL_EXT_texture_compression_s3tc.
    This system supports the OpenGL extension GL_EXT_texture_compression_dxt1.
    This system supports the OpenGL extension GL_ANGLE_texture_compression_dxt3.
    This system supports the OpenGL extension GL_ANGLE_texture_compression_dxt5.
    This system DOES NOT support the OpenGL extension GLX_EXT_swap_control_tear.
    GL_NV_bindless_texture: DISABLED
    GL_AMD_pinned_memory: DISABLED
    GL_EXT_texture_sRGB_decode: AVAILABLE
    AppFramework : Unable to load module engine.so!
    Unable to load interface VCvarQuery001 from engine.so
    When I launch Portal 2:
    Code:
    ./portal2_linux 
    libGL: screen 0 does not appear to be DRI3 capable
    libGL: pci id for fd 5: 1002:68be, driver r600
    libGL: OpenDriver: trying /usr/lib/i386-linux-gnu/dri/tls/r600_dri.so
    libGL: OpenDriver: trying /usr/lib/i386-linux-gnu/dri/r600_dri.so
    libGL: driver does not expose __driDriverGetExtensions_r600(): /usr/lib/i386-linux-gnu/dri/r600_dri.so: undefined symbol: __driDriverGetExtensions_r600
    libGL: Can't open configuration file /home/MYUSER/.drirc: No such file or directory.
    libGL: Can't open configuration file /home/MYUSER/.drirc: No such file or directory.
    SDL video target is 'x11'
    SDL video target is 'x11'
    
    SDL failed to create GL compatibility profile (whichProfile=0!
    SDL failed to create GL compatibility profile (whichProfile=0!
    
    This system supports the OpenGL extension GL_EXT_framebuffer_object.
    This system supports the OpenGL extension GL_EXT_framebuffer_blit.
    This system supports the OpenGL extension GL_EXT_framebuffer_multisample.
    This system DOES NOT support the OpenGL extension GL_APPLE_fence.
    This system DOES NOT support the OpenGL extension GL_NV_fence.
    This system supports the OpenGL extension GL_ARB_sync.
    This system supports the OpenGL extension GL_EXT_draw_buffers2.
    This system DOES NOT support the OpenGL extension GL_EXT_bindable_uniform.
    This system DOES NOT support the OpenGL extension GL_APPLE_flush_buffer_range.
    This system supports the OpenGL extension GL_ARB_map_buffer_range.
    This system supports the OpenGL extension GL_ARB_vertex_buffer_object.
    This system supports the OpenGL extension GL_ARB_occlusion_query.
    This system DOES NOT support the OpenGL extension GL_APPLE_texture_range.
    This system DOES NOT support the OpenGL extension GL_APPLE_client_storage.
    This system DOES NOT support the OpenGL extension GL_ARB_uniform_buffer.
    This system supports the OpenGL extension GL_ARB_vertex_array_bgra.
    This system supports the OpenGL extension GL_EXT_vertex_array_bgra.
    This system supports the OpenGL extension GL_ARB_framebuffer_object.
    This system DOES NOT support the OpenGL extension GL_GREMEDY_string_marker.
    This system supports the OpenGL extension GL_ARB_debug_output.
    This system DOES NOT support the OpenGL extension GL_EXT_direct_state_access.
    This system DOES NOT support the OpenGL extension GL_NV_bindless_texture.
    This system DOES NOT support the OpenGL extension GL_AMD_pinned_memory.
    This system supports the OpenGL extension GL_EXT_framebuffer_multisample_blit_scaled.
    This system supports the OpenGL extension GL_EXT_texture_sRGB_decode.
    This system DOES NOT support the OpenGL extension GL_NVX_gpu_memory_info.
    This system DOES NOT support the OpenGL extension GL_ATI_meminfo.
    This system supports the OpenGL extension GL_EXT_texture_compression_s3tc.
    This system supports the OpenGL extension GL_EXT_texture_compression_dxt1.
    This system supports the OpenGL extension GL_ANGLE_texture_compression_dxt3.
    This system supports the OpenGL extension GL_ANGLE_texture_compression_dxt5.
    This system DOES NOT support the OpenGL extension GLX_EXT_swap_control_tear.
    Setup file 'GameInfo.txt' doesn't exist in subdirectory 'hl2'.
    Check your -game parameter or VCONFIG setting.
    Setup file 'GameInfo.txt' doesn't exist in subdirectory 'hl2'.
    Check your -game parameter or VCONFIG setting.
    When I launch Amnesia: A machine for pigs the log says:
    Code:
    Version 1.20 
    
    -------- THE HPL ENGINE LOG ------------
    Creating Engine Modules
    --------------------------------------------------------
     Creating graphics module
     Creating system module
     Creating resource module
     Creating input module
     Creating sound module
     Creating physics module
     Creating ai module
     Creating gui module
     Creating generate module
     Creating haptic module
     Creating scene module
    --------------------------------------------------------
    
    Initializing Resources Module
    --------------------------------------------------------
     Creating loader handlers 
     Creating resource managers
     Adding loaders to handlers 
    --------------------------------------------------------
    
    Initializing Graphics Module
    --------------------------------------------------------
    Init lowlevel graphics: 1680x1050 disp:0 bpp:32 fs:1 ms:0 gpufmt:2 cap:'Amnesia - A Machine For Pigs Loading...' pos:(-1x-1)
     Setting video mode: 1680 x 1050 - 32 bpp
     Init Glew...OK
     Setting up OpenGL
      Vendor: X.Org
      Renderer: Gallium 0.4 on AMD JUNIPER
      Version: 1.4 (3.0 Mesa 10.2.1)
      Max texture image units: 16
      Max texture coord units: 8
      Max user clip planes: 8
      Two sided stencil: 1
      Vertex Buffer Object: 0
      Anisotropic filtering: 1
      Max Anisotropic degree: 16
      Multisampling: 1
      Texture compression: 1
      Texture compression S3TC: 1
      Auto generate MipMaps: 1
      Render to texture: 1
      Max draw buffers: 8
      Max color render targets: 8
      Packed depth-stencil: 0
      Texture float: 0
      GLSL Version: (null)
      ShaderModel 2: 1
      ShaderModel 3: 1
      ShaderModel 4: 0
      OGL ATIFragmentShader: 0
    I have read the post of Linux_chemist in the thread Updated and Optimized Ubuntu Free Graphics Drivers with a similar problem deleting (or backing up) the file libgcc_s.so.1 in the path /.steam/ubuntu12_32/steam-runtime/i386/lib/i386-linux-gnu to force to use the system file, I have also tried to deleting (or backing up) libstdc++.so.6 in the path /.steam/steam/SteamApps/common/Portal 2/bin, but it doesn't work. I have read similar posts around internet with similar solution, or deleting that files or to be sure to have the 32 bit portion of the driver, but it doesn't work. Steam seems that doens't detect the 32 bit drivers and the games launch by it either. Anyone know how to get it working or I have only to wait for some update?

    Wow! Long post, and thank you. Regards,
    Last edited by Khudsa; 06-29-2014 at 05:01 PM.

  2. #2
    Join Date
    Oct 2009
    Posts
    131

    Default

    Oh, sorry I forgot that when I launch a Valve game (L4D2 or Portal 2) Steam also says: "Could not find required OpenGL entry point 'glGetError'! Either your video card is unsupported, or your OpenGL driver needs to be updated." If it helps...

    Thanks,

  3. #3
    Join Date
    Jun 2014
    Location
    Belgium
    Posts
    2

    Lightbulb mesa 10.2 in debian testing breaks Steam

    I had the same problem since yesterday, I use mostly testing packages + only xserver & linux kernel from experimental
    because it's the only way to make the R7 260x works with the new firmware.

    When i reverted the upgrade; Steam works again.

    dpkg -i /var/cache/apt-cacher-ng/debrep/pool/main/m/mesa/libgl1-mesa-glx_10.1.4-1_i386.deb
    /var/cache/apt-cacher-ng/debrep/pool/main/m/mesa/libgl1-mesa-glx_10.1.4-1_amd64.deb \
    /var/cache/apt-cacher-ng/debrep/pool/main/m/mesa/libgl1-mesa-dri_10.1.4-1_i386.deb \
    /var/cache/apt-cacher-ng/debrep/pool/main/m/mesa/libgl1-mesa-dri_10.1.4-1_amd64.deb \
    /var/cache/apt-cacher-ng/debrep/pool/main/m/mesa/libglapi-mesa_10.1.4-1_i386.deb \
    /var/cache/apt-cacher-ng/debrep/pool/main/m/mesa/libglapi-mesa_10.1.4-1_amd64.deb

    I had the old packages lying around because I use a local cache to spare bandwith when updating three PC's.

    These can also be found on http://snapshot.debian.org/package/mesa/ .

    I know it's not a real solution, just a workaround.

  4. #4
    Join Date
    Jun 2014
    Location
    Belgium
    Posts
    2

    Lightbulb Steam won't run on radeonsi + mesa 10.2 on Debian testing

    I have the same problem on testing since yesterday. (+ kernel & xserver from xperimental)

    I used dpkg to revert 10.1.4 that I had still lying around.

    These can also be found on http://snapshot.debian.org/.

    This is not a solution, just a workaround.

  5. #5
    Join Date
    Oct 2009
    Posts
    131

    Default

    Thank you very much for the help, but it doesn't work for me. Tried with the steam libgcc and without it, exact the same results. Also tried to downgrade to 10.0 but it gave me error for libwayland-egl that isn't in the 10.0 version so I ended in a broken (but bootable) system, so I also tried in this state and nothing. Revert the changes to actual 10.2.

    A question, do you tweak the steam install? (removing the libgcc)

    Thanks,

  6. #6
    Join Date
    Oct 2012
    Posts
    254

    Default

    This is a known bug in steam... you should have googled it: 'steam "OpenGL GLX context is not using direct rendering, which may cause performance problems"'
    https://bbs.archlinux.org/viewtopic.php?id=181171
    https://bbs.archlinux.org/viewtopic....91785#p1391785
    https://github.com/ValveSoftware/ste...ux/issues/3280
    I suggest *not removing* the file, but renaming it instead.

  7. #7
    Join Date
    Oct 2012
    Posts
    254

    Default

    Stupid edit limit...
    Also, read this:
    https://github.com/ValveSoftware/ste...mment-44218167
    http://www.phoronix.com/forums/showt...381#post425381
    http://www.reddit.com/r/linux/commen...ntel_problems/
    you need to rename/remove a couple files:
    Code:
    mv $HOME/.local/share/Steam/ubuntu12_32/steam-runtime/i386/usr/lib/i386-linux-gnu/libstdc++.so.6{,.bak}
    mv $HOME/.local/share/Steam/ubuntu12_32/steam-runtime/i386/lib/i386-linux-gnu/libgcc_s.so.1{,.bak}

  8. #8
    Join Date
    Feb 2008
    Posts
    1,118

    Default

    Major difference people seeing between 10.1 and 10.2 gallium drivers is:

    https://bugs.freedesktop.org/show_bug.cgi?id=78604

    I bisected that (it is not only about steam usage) but it is not a bug in mesa (i am not quite sure in that but that is what devs says) .

    Solution is the same: remove or make sure not use those old shipped gcc libs .
    Last edited by dungeon; 06-30-2014 at 07:32 PM.

  9. #9
    Join Date
    Feb 2008
    Posts
    1,118

    Default

    Seems like xserver 1.15 + mesa 10.2 just trigers the issue. But i can't reproduce it anymore using xserver 1.16 and same mesa .

  10. #10
    Join Date
    Oct 2009
    Posts
    131

    Default

    Thank you asdfblah, I will read that links more carefully later, but I think I've made almost all of it. Also I backup libgcc (or rename as you wish) but it doesn't work, the libstdc isn't in /.steam/ubuntu12_32/steam-runtime/i386/lib/i386-linux-gnu but in the portal 2/bin dir, like I have explained. Also renamed that file and nothing.

    Thank you dungeon, so maybe with xserver 1.16 problem fixed? Right now 1.5.999 is in experimental.

    Regards,

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •